io.etcd.jetcd.api

## Class LeaseGrpc

- java.lang.Object
- - io.etcd.jetcd.api.LeaseGrpc

    @Generated(value="by gRPC proto compiler (version 1.27.1)",
               comments="Source: rpc.proto")
    public final class LeaseGrpc
    extends Object

### Nested Class Summary

Nested Classes
`static class` `LeaseGrpc.LeaseBlockingStub`
`static class` `LeaseGrpc.LeaseFutureStub`
`static class` `LeaseGrpc.LeaseImplBase`
`static class` `LeaseGrpc.LeaseStub`

### Field Summary

Fields
`static String` `SERVICE_NAME`

### Method Summary

All Methods Static Methods Concrete Methods
`static io.grpc.MethodDescriptor<LeaseGrantRequest,LeaseGrantResponse>` `getLeaseGrantMethod()`
`static io.grpc.MethodDescriptor<LeaseKeepAliveRequest,LeaseKeepAliveResponse>` `getLeaseKeepAliveMethod()`
`static io.grpc.MethodDescriptor<LeaseRevokeRequest,LeaseRevokeResponse>` `getLeaseRevokeMethod()`
`static io.grpc.MethodDescriptor<LeaseTimeToLiveRequest,LeaseTimeToLiveResponse>` `getLeaseTimeToLiveMethod()`
`static io.grpc.ServiceDescriptor` `getServiceDescriptor()`
`static LeaseGrpc.LeaseBlockingStub` `newBlockingStub(io.grpc.Channel channel)` Creates a new blocking-style stub that supports unary and streaming output calls on the service
`static LeaseGrpc.LeaseFutureStub` `newFutureStub(io.grpc.Channel channel)` Creates a new ListenableFuture-style stub that supports unary calls on the service
`static LeaseGrpc.LeaseStub` `newStub(io.grpc.Channel channel)` Creates a new async stub that supports all call types for the service

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SERVICE_NAME

    public static final String SERVICE_NAME

See Also:
  Constant Field Values

### Method Detail

#### getLeaseGrantMethod

    public static io.grpc.MethodDescriptor<LeaseGrantRequest,LeaseGrantResponse> getLeaseGrantMethod()

#### getLeaseRevokeMethod

    public static io.grpc.MethodDescriptor<LeaseRevokeRequest,LeaseRevokeResponse> getLeaseRevokeMethod()

#### getLeaseKeepAliveMethod

    public static io.grpc.MethodDescriptor<LeaseKeepAliveRequest,LeaseKeepAliveResponse> getLeaseKeepAliveMethod()

#### getLeaseTimeToLiveMethod

    public static io.grpc.MethodDescriptor<LeaseTimeToLiveRequest,LeaseTimeToLiveResponse> getLeaseTimeToLiveMethod()

#### newStub

    public static LeaseGrpc.LeaseStub newStub(io.grpc.Channel channel)

Creates a new async stub that supports all call types for the service

#### newBlockingStub

    public static LeaseGrpc.LeaseBlockingStub newBlockingStub(io.grpc.Channel channel)

Creates a new blocking-style stub that supports unary and streaming output calls on the service

#### newFutureStub

    public static LeaseGrpc.LeaseFutureStub newFutureStub(io.grpc.Channel channel)

Creates a new ListenableFuture-style stub that supports unary calls on the service

#### getServiceDescriptor

    public static io.grpc.ServiceDescriptor getServiceDescriptor()